<?php
/**
 * @copyright (c) Kufer Software GmbH, Loisachstrasse 4, D-84453 Mühldorf
 */

namespace Kufer\Web\KuferTools\Dozent\Wunschtermine\NeuAbsenden\EMail;

class WunschterminNeuAbsendenEMailView extends \Kufer\KuferTools\Basis\View\ViewSight
{
  public function getTemplatePathRelative()
  {
    return 'dozent/wunschtermine/email/erstellt.sgt';
  }

  protected function getDefaultDataModulArray()
  {
    return array($this->viewModel->wunschtermin);
  }

  protected function getDefaultExportAdaper()
  {
    return new \ExpDozenten(true);
  }

  protected function getFooterDataModulArray()
  {
    return $this->viewModel->changes;
  }
}

class WunschterminNeuAbsendenEMailViewModel
{
  public $dozent;
  public $changes;
  public $wunschtermin;
}